Upstream information

CVE-2017-16352 at MITRE

Description

GraphicsMagick 1.3.26 is vulnerable to a heap-based buffer overflow vulnerability found in the "Display visual image directory" feature of the DescribeImage() function of the magick/describe.c file. One possible way to trigger the vulnerability is to run the identify command on a specially crafted MIFF format file with the verbose flag.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 5.1
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.6
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entries: 1066168 [RESOLVED / FIXED], 1066170 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-572
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-572
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-78.40.1
  • libMagickCore1 >= 6.4.3.6-78.40.1
  • libMagickCore1-32bit >= 6.4.3.6-78.40.1
Patchnames:
slessp4-ImageMagick-13549
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-572
SUSE Linux Enterprise Server 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-572
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-572
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • ImageMagick >= 6.4.3.6-78.40.1
  • libMagickCore1 >= 6.4.3.6-78.40.1
  • libMagickCore1-32bit >= 6.4.3.6-78.40.1
Patchnames:
slessp4-ImageMagick-13549
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-572
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.47.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-572
SUSE Linux Enterprise Software Development Kit 11 SP4
  • GraphicsMagick >= 1.2.5-78.44.1
  • ImageMagick >= 6.4.3.6-78.40.1
  • ImageMagick-devel >= 6.4.3.6-78.40.1
  • libGraphicsMagick2 >= 1.2.5-78.44.1
  • libMagick++-devel >= 6.4.3.6-78.40.1
  • libMagick++1 >= 6.4.3.6-78.40.1
  • libMagickWand1 >= 6.4.3.6-78.40.1
  • libMagickWand1-32bit >= 6.4.3.6-78.40.1
  • perl-GraphicsMagick >= 1.2.5-78.44.1
  • perl-PerlMagick >= 6.4.3.6-78.40.1
Patchnames:
sdksp4-GraphicsMagick-13543
sdksp4-ImageMagick-13549
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • ImageMagick-devel >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagick++-devel >= 6.8.8.1-71.47.1
  • perl-PerlMagick >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-572
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • ImageMagick-devel >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagick++-devel >= 6.8.8.1-71.47.1
  • perl-PerlMagick >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-572
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-WE-12-SP2-2018-572
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-71.47.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.47.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.47.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-572
SUSE Studio Onsite 1.3
  • GraphicsMagick >= 1.2.5-78.44.1
  • libGraphicsMagick2 >= 1.2.5-78.44.1
Patchnames:
slestso13-GraphicsMagick-13543
openSUSE Leap 42.3
  • GraphicsMagick >= 1.3.25-79.1
  • GraphicsMagick-debuginfo >= 1.3.25-79.1
  • GraphicsMagick-debugsource >= 1.3.25-79.1
  • GraphicsMagick-devel >= 1.3.25-79.1
  • ImageMagick >= 6.8.8.1-58.1
  • ImageMagick-debuginfo >= 6.8.8.1-58.1
  • ImageMagick-debugsource >= 6.8.8.1-58.1
  • ImageMagick-devel >= 6.8.8.1-58.1
  • ImageMagick-devel-32bit >= 6.8.8.1-58.1
  • ImageMagick-doc >= 6.8.8.1-58.1
  • ImageMagick-extra >= 6.8.8.1-58.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-58.1
  • libGraphicsMagick++-Q16-12 >= 1.3.25-79.1
  • libGraphicsMagick++-Q16-12-debuginfo >= 1.3.25-79.1
  • libGraphicsMagick++-devel >= 1.3.25-79.1
  • libGraphicsMagick-Q16-3 >= 1.3.25-79.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.25-79.1
  • libGraphicsMagick3-config >= 1.3.25-79.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.25-79.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.25-79.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-58.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-58.1
  • libMagick++-devel >= 6.8.8.1-58.1
  • libMagick++-devel-32bit >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-58.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-58.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-58.1
  • perl-GraphicsMagick >= 1.3.25-79.1
  • perl-GraphicsMagick-debuginfo >= 1.3.25-79.1
  • perl-PerlMagick >= 6.8.8.1-58.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-58.1
Patchnames:
openSUSE-2018-283
openSUSE-2018-343


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 GraphicsMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP2 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Released
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Released
SUSE Linux Enterprise Server 12 SP3 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Released
SUSE Studio Onsite 1.3 GraphicsMagick Released